import React from "react";
import { SearchBar } from "./search/SearchBar";

export const SearchSection = ()=>{
  return (
    <section className="bg-main bg-center bg-cover bg-origin-border bg-no-repeat py-10 px-2 sm:px-6 md:px-6 lg:px-0 items-center flex justify-center ">
    <div className="flex-col w-full md:w-3/5 lg:w-2/5">
      <div className="w-full m-auto pt-16 ">
        <SearchBar />
        <div className="mt-4 pr-1 text-right font-semibold text-sm">
          Advanced Search
        </div>
      </div>
    </div>
  </section>
  )
}